First Steps

Introduction

Welcome to 3D-CAD-Ray-SAFT for the analysis of automated ultrasonic inspection results. The applications of the 3D-CAD-Ray-SAFT are:

Preparation of an ultrasonic inspection plan.

Interpretation of the inspections results.

3D-CAD-Ray-SAFT is designed to enable you:

• to visualize the inspected component from different views,

• to implement different material parameters,

• to combine 3D or 2D-reconstructed ultrasonic inspection data, with the solid or wire frame model of the component,

• to select different slices,

• to select probes and the material properties out of the data bases,

• to change insonification angles,

• to place a customized scan path,

• to define a point with the maximal amplitude of echo-signal along a scan path,

• to simulate a high frequency data along a scan path,

• to perform RAY TRACING,

• to perform RAY TRACING including mode conversion effects,

• to perform RAY TRACING including defects,

• to perform RAY TRACING including inhomogeneous and anisotropy effects,

• to perform RAY TRACING for create a new scan path,

• to change material parameters of the defect,

• to measure lengths and angles,

• to SAFT-reconstruct the ultrasonically inspected region,

• to CBA-reconstruct the ultrasonically inspected region,

• to import the inspection result into the CAD-drawing and to visualize arbitrarily planes of the component with the ultrasonic inspection evaluation,

• to draw marks, texts and bitmaps on pictures,

• to create animation film automatically,

• to print pictures and copy ones to Windows Clipboard.

The program is based on the following main modules:

1. The module to generate the component surface grid from the Parametric Description (*.PDC) files and from the parametric description of the plates, tubes (3 types) and welds (8 types).

2. The module to visualize a CAD-drawing.

3. The module to define scan path on the component’s surface.

4. The module to perform ray-tracing.

5. The module to define scan path by ray-tracing.

6. The module to calculate maximal amplitude echo-signal along a scan path.

7. The module to SAFT-reconstruct the ultrasonically inspected region.

8. The module to CBA visualization of the high frequency data together with ray-tracing results.

9. The module to simulate a high frequency data along a scan path.

10. The module to create the animation film automatically.

The program will be further developed and updated.

This manual is provided for information purposes only. All information included herein can be changed without notice. IzfP is not responsible for any damages, direct or indirect, arising from or related to the use of this manual.

Copyright

All parts of the instruction manual and the software are subject to the copyright. All rights are protected. Any duplication completely or partially is strictly forbidden. No part of the documentation and software may be copied, reproduced and translated or stored on an other electronic medium or may be brought to mechanically readable form. To do this, in any case get in contact with “The Fraunhofer Institut für zerstörungsfreie Prüfverfahren.

© 1997-2002, Fraunhofer Institut für zerstörungsfreie Prüfverfahren (IzfP)

Authors: Dr. Sergej V. Chakhlov, Dr. Volker Schmitz, Wolfgang Müller

IzfP, University Building 37; D-66123 Saarbrücken

Tel.: (007)-3822-537060

E-mail: schmitz@izfp.fhg.de, mueller@izfp.fhg.de, serg1@mail.tomsknet.ru

WEB-address: www.izfp.fhg.de

System requirements

To install and use the software module you will need the following equipment and software:

• 486 PC running at 66 MHz or faster,

• Windows 95,98, NT, ME, 2K or XP,

• A minimum of 32 MBytes of RAM,

• a 14” monitor with a 1 MByte video RAM.

Install Program

The installation of 3D-CAD-Ray-SAFT can be done in the following way:

1. Run program Setup.exe from the installation disk. Then follow the instructions on the screen. During installation you have to input the correct serial number from 8 symbols, which is shown in file Readme.txt.

To install the demo version of 3D-CAD-Ray-SAFT you can input serial number ”DEMO”.

Uninstall Program

To uninstall of the 3D-CAD-Ray-SAFT - program select:

1. In the Task bar - Start - Settings - Control panel.

2. In the item Add/Remove Programs select 3D-CAD-Ray-SAFT and Delete.

Run Program

To run program 3D-CAD-Ray-SAFT you can:

double click the left mouse button on the desktop icon,

or in the Task bar press Start - Programs - 3D-CAD-Ray-SAFT - 3D-CAD-Ray-SAFT.


Load and Save

Load and save component

To load component (ALG, DXF, ODT, OFF, PDC-files):

1. Double click the 3D-CAD-Ray-SAFT icon at the desktop.

2. Now click the File Open button [image], or press Ctrl + O or choose the Open-command in the File-menu.

3. Move to the subdirectory components and select one of the CAD-files.

Another and more quick way to load is

1. Run Windows Explorer.

2. Double click on CAD-file name.

If component has a simple shape like

plate or

tube or

a weld, or

a flange

one can create it by the following

1. Double click the 3D-CAD-Ray-SAFT icon at the desktop.

2. Choose the New-command in the File-menu.

3. Select the type of component

4. Input sizes of component in dialog and press OK button.

To save component (only as OFF-file):

1. Click the button [image], or choose the Save as-command in the File-menu.

You also can save component as PDC-file after load DXF-file or after create new component, if check the Save as Parametric Description file button in the corresponding DXF or New component dialogs.


PDC-format

What is PDC-format?

Parametric DesCription-file is text file format, that described sample surfaces geometry and desired sizes of triangular and rectangular grid. The sample can consists from one or several materials. A material can consist from one or several parts.

The main building unit is a closed or unclosed surface that defined by Y-translation or Z-rotation of a XZ-plane cross-section. (By default any surface is closed.)

For Y-translation you must define:

Ymin - Y-coordinate of initial cross-section;

Ymax - Y-coordinate of final cross-section;

Ny - number of grid steps in Y-direction.

For Z-rotation you must define:

ßmin - ß-coordinate of initial cross-section;

ßmax - ß-coordinate of final cross-section;

Ny - number of grid steps in ß-direction.

ß is rotation angle about Z-axis.

(By default a surface is created by Z-rotation with ßmin=0°, ßmax=360° and Ny=36.)

The closed contour of XZ-plane cross-section can consists from the arbitrary number of linear or circular segments, which must be defined in counter clockwise direction. For each contour segment you must define:

X and Z coordinates of the segment first point (second point is first point of next segment);

shape coefficient:

R - radius for circular segments (”+” for concave, ”-” for convex),

0 - for linear segments;

the number of steps along this segment.

For the unclosed surfaces created by Y-translation (or Z-rotation for angle less than 360°) the initial and final cross-sections are filling by triangular and rectangular grid created by grid-generator of 3D-CAD-Ray-SAFT program, by default.

The program 3D-CAD-Ray-SAFT can delete all duplicated grid points if need.

PDC format Specification

PDC-file consists from the text lines that ending by carriage return symbol. Each line begins from the letter () or integer number, then follows the predefined count of the numbers separated by spaces or commas and then can be any comment separated by spaces. The full length of the line is limited by 100 symbols. The empty lines are passed.

First line in PDC-file must begin from text ”Parametric DesCription ” and ending by any text.

Second line begin from the number of materials in this file.

Third line begin from the number of the cross-section in this file.

Next lines can begin from letter (or full word) then follow space and numbers separated by commas ([.] marked text that can be omitted):

M[aterial] Cl,Cs, [image] [comment]

Cl - speed of longitudinal waves [m/s],

Cs - speed of shear waves [m/s],

- density of material [kg/(m x m x m)].

There are no defaults for this values.

A[ustenit] C11,C13,C33,C44,C66, ,step [comment]

C11,C13,C33,C44,C66 - the ellastic constants of material [g/(sm x sm x sm)],

- density of material [kg/(m x m x m)],

step - step length for the Ray-tracing algorithm.

After the this line must be 3 lines (without empty lines!) with the formulas for the X,Y,Z-projections of grain orientation, correspondingly:

Formula for X-projection of grain orientation

Formula for Y-projection of grain orientation

Formula for Z-projection of grain orientation

F[rame] i [comment]

i=0 - Cartesian (X,Y,Z),

i=1 - Cylindrical (R,ß,Z) coordinate frame.

Default value is 1.

U[nclosed] [comment]

Don't close surface by two cross-sections.

By default, the surface is closed.

N[o Double] [comment]

Search and delete duplicated grid nodes.

By default, there is no testing of duplicated nodes.

S[cale] Xscale, Yscale, Zscale [comment]

Xscale - scale of the axis X,

Yscale - scale of the axis Y,

Zscale - scale of the axis Z.

Default values are 1.

O[ffset] Xoffset,Yoffset,Zoffset [comment]

Xoffset - X movement of this surface [mm],

Yoffset - Y movement of this surface [mm],

Zoffset - Z movement of this surface [mm].

Default values are 0.

R[otate] Xrot,Yrot,Zrot [comment]

Xrot - angle of rotation about X-axis [°],

Yrot - angle of rotation about Y-axis [°],

Zrot - angle of rotation about Z-axis [°].

Default values are 0.

D[epth] Ymin,Ymax,Ny [comment]

Ymin - minimal value of Y coordinate [mm] or ß coordinate [°],

Ymax - maximal value of Y coordinate [mm] or ß coordinate [°],

Ny - number of steps on Y(ß) coordinate. (Last value can be more or equal 1 when Ymin=0° and Ymax=360°).

Default values are Ymin=0, Ymax=360, Ny=36.

P[oints] Npoints [comment]

Npoints - number of the base points in the cross-section.

There is no default for this value.

After the this line must be Npoints lines (without empty lines!) with following format:

n Zn Xn Fn Nn [comment]

n - number of the current base point in cross-section

Xn - X-coordinate of this point

Zn - Z-coordinate of this point

Fn - shape coefficient for this segment (Xn, Zn)-(Xn+1, Zn+1):

Fn=0 - linear segment,

Fn>0 - concave arc of circle with Radius = Fn,

Fn<0 - convex arc of circle with Radius =-Fn,

Nn - number of the grid steps along this segment.

There is no defaults for those values.

Common Structure of PDC-file:

Parametric DesCription [...]

2 [Number of materials]

3 [Number of cross-sections]

[No Double]

M[aterial1] Cl,Cs, [image] [comment]

(Description of 1 cross-section)

(Description of 2 cross-section)

M[aterial2] Cl,Cs, [image] [comment]

(Description of 3 cross-section)

(Description of N cross-section) can start from any line that begins with letters F[rame],U[nclosed], S[cale], O[ffset], R[otate], D[epth] and must be ending P[oints] - line with the corresponding parameters. You can omit lines that contain default values for the cross-section.

One Example

Parametric DesCription of sample

1 Number of materials

1 Number of groups

material 5920,3230,7700 - Cl, Cs[m/s], density[kg/(m x m x m)]

frame 0 Cartesian

depth 0,412,20 Y-boundaries and number of points

points 4

1 322.5 0 0 1

2 331.1 5 385 30

3 10 194 0 2

4 9 184 -375 30


Modify Component

To modify a loaded component:

1. Choose the Transform-command in the File-menu.

2. Select similarity, affin or non-linear transformation of component‘s surface.

The similarity transformation is helpful to scale, rotate or shift original component.

The affin transformation do the same as a similarity one plus a shear-deformation. Transformation (X = -x, Y = y, Z = z) can be applied after loading DXF-file to set correct direction of the outer normal for the component‘s surface.

The non-linear transformation is most flexible but more complex.

3. Input all parameters of transformation in dialog and press OK button.

After loading ALG-files there often can be incorrect direction of the outer normal for the some parts of a component‘s surface. You can see it because 3D-CAD-Ray-SAFT uses a different colors for internal and external sides of a component’s surface. To correct this you have to do following:

1. Choose the Correct-command in the File-menu. Cursor change its shape to [image].

2. Click the left mouse button on the component‘s surfaces with incorrect colors. Wait a little bit while a program correct all surface elements of the pointed material.

3. Apply point 2 to another material with incorrect colors, and so on.

4. Choose again the Correct-command in the File-menu. Cursor restore its shape.

You can save a modified component as OFF-file.


Material Properties

Modify the material‘s properties

There are two types of materials: ferritic - orthotropic, homogeneous materials and austenitic - anisotropic, inhomogeneous ones. 3D-CAD-Ray-SAFT has two data base files MATERIAL.DBF and AUSTENIT.DBF with properties of different materials.

To modify a ferritic material:

1. Press [image] button or select Material-command in the Options-menu.

2. Select the modified material by spin-buttons.

3. Input 3 material‘s parameters or select some material from the list by press Get from list button.

4. Press OK button.

To modify a austenitic material:

1. Press [image] button or select Material-command in the Options-menu.

2. Activate Elastic constants page.

3. Select the modified material by spin-buttons.

4. Check Austenit box to define this material as austenitic one.

5. Input all material‘s parameters or select some material from the list by press Get from list button.

6. Activate Grains page.

7. Define 3 formulas for the direction of grain orientation vector.

8. Set step size that means the length of the ray segment for the ray-tracing.

9. Press OK button.

To add new material to the list:

1. Press [image] button or select Material-command in the Options-menu.

2. Select in list a material below which a new material would be inserted.

3. Press Insert button.

4. Input all parameters of a new material.

5. Again press Insert button.

To delete material from the list:

1. Press [image] button or select Material-command in the Options-menu.

2. Select in list a material which would be deleted.

3. Press Delete button.


WireSolid

The wire frame and solid models

There are two CAD-models to visualization of a component:

1. The wire frame model consists of a wire frame which allows to get an overall view of all interior items.

2. The solid model consists from a surface elements painted by a different colors for the internal and external sides.

To toggle between those models:

Press the button [image], or

Select Solid in the menu View , or

1. Click right mouse button on the view to see pop-up menu,

2. Select Solid menu item.

By default, all parts of component are visible. You can hide any parts from Visualization & Colors dialog, if uncheck Show-check button for those parts.


Scale

Change scale of view

The default view scale allows to see all parts of component.

To decrease the scale of view one select a region of interest (ROI) by mouse with pressed left button. After release left button the view is redrawn, if selected ROI has sizes more than 10 pixels in both directions. This operation can be applied several times.

To restore default view scale double click left mouse button on this view or

select command Restore of View menu, or

1. Click on this view right mouse button.

2. Select command Restore in the pop-up menu.

To increase scale in 2 times select command Scale 1/2 of View menu, or

1. Click on this view right mouse button.

2. Select command Scale 1/2 in the pop-up menu.

Scroll view

To scroll view press button Shift and then move cursor with pressed left mouse button. Wait while program redraw view. The view would be scrolled on the same distance as cursor. Move cursor once more if need. Release buttons when scroll is OK.

Change point of view

The command Point of view of View menu or [image] button – show/hide dialog which allows to rotate a three dimensional object about two axis. Sometimes this general capability leads to confusing presentations. Therefore it is important to understand the rules of rotation or to select immediately those views which are typically for ultrasonic inspections:

C-scan – view from Z or -Z,

B-scan – view from Y or -Y,

D-scan – view from X or -X.

In this dialog there are several controls to rotate view:

1. Combo-box view from with the 14 predefined points of view,

2. Sliders (with the arrow keys of the keyboard the sliders can be moved in 1/2 degree accuracy),

3. Edit-controls,

4. Use mouse with pressed left button in rotate-window.

If there are several view then to rotate a view at first this view have to be activated by click the left mouse button on it. The active view is shown in the dialog‘s icon as more bright one. The rotational angles of all views are saved in file 3Dray.INI for the next start of program.

Alternative way to rotate view without dialog.

Press button Ctrl and then move cursor with pressed left mouse button. Wait while program redraw view. The view would be rotated on the same distance as cursor. Move cursor once more if need. Release buttons when rotation is OK.

Use several views at the same time

3D-CAD-Ray-SAFT helps to visualize different views of the component in up to four views at the same time and to select in each view a different presentation. By pressing the button Split [image], or Split command of the Windows menu the cursor will look like a cross. Moving this cross to the center of the main frame window, it will be divided in four equal fields. Moving the cursor to the border lines these can be moved horizontally or vertically. The four views are reduced to two views with increased sizes.

To activate a view you have to click with the left mouse button on it. Now the view can be scaled, rotated or scrolled as it was described previously.


Slice

Create slice

The Slice dialog allows to cut the inspected component at a plane which can be defined by the user. Such planes can lie parallel to the surface in a depth which corresponds e.b. an ultrasonic C-scan layer, perpendicular to the surface which corresponds a B-scan image, inside the inclined flank of a weld or may lie in an arbitrary orientation. Three different methods are available which are shown if you select the [image] button or Slice command from View menu.

The first possibility is this page to define a slice by mouse.

1. Select the destination, that means the view where we want to see the result of the operation.

2. Draw a line with the mouse in any of the other views at the wanted position and with the wanted orientation.

3. Check box Show slice, if it is unchecked.

4. Press the button Apply.

The second possibility is this page to define a slice by normal and point. The slice is selected by using the formula:

A(x-x1) + B(y-y1) + C(z-z1) = 0,

where (A,B,C) — normal, (x1, y1, z1) — point. For example, we want set slice x=10.

1. Check radio-button A (B, C) to create slice perpendicular to axis x (y, z).

2. Move corresponding slider to set x1 (y1, z1) for the desired value 10 (or input it from keyboard).

3. Check box Show slice, if it is unchecked.

4. Press the button Apply.

To create a slice, which is non perpendicular to the coordinate axes, two or three values of A, B, C have to be non-zero.

The third possibility is this page to rotate a slice around some axis in three dimensional space.

1. Input the direction of axis (x, y, z).

2. Input coordinates of point (x, y, z) on this axis.

3. Move slider to set angle of rotation (or input it from keyboard).

4. Check box Show slice, if it is unchecked.

5. Press the button Apply.

To hide the slice uncheck box Show slice.

By default, slice plane cuts all parts of component and don‘t cut all other elements like probe, defect, waves. You can change this ”cut”-properties from Visualization & Colors dialog.


SAFT-Data

Import and visualization of the 2D and 3D SAFT-reconstructed data

In ultrasonic testing a typical image is a C-scan presentation of a two-dimensional data set which is a top view or a B- or D-scan which correspond to a side view. 3D-SAFT images have a three dimensional data set which offer the possibility to visualize different slices through that reconstruction volume.

After the definition of the slice of interest, the next step is to visualize the ultrasonic data on it. To take this option select the [image] button or SAFT-data command from View menu. Then there must be the following sequence of operations:

1. Press button Load data.

2. Select file with 2D (*.REK, *Y.000) or 3D (*.PAR, *.BIN) SAFT-reconstructed data in Open File dialog.

3. Check box Show data.

4. Check boxes Out boundaries and SAFT-block, if you want to see data out of component‘s boundaries.

5. Check box Interpolate, if you want to use a linear interpolation between data points.

6. Press button Apply.

To fit the loaded data to the component‘s geometry you can:

1. Move the data-block in x, y, z-directions.

2. Rotate the data block about x, y, z-axes.

3. Do mirror-transformation of data along x, y, z-directions.

4. Convert x, y, z Cartesian coordinates to Cylindrical ones b,r,z or r,b,z.

When SAFT-data are shown, status bar show the DB-value under cursor and three dimensional coordinates of the slice point.

You can create a picture with several painted slices on it. To do that

1. Create first painted slice as usual.

2. Select Visualization & Colors command from View menu or press Ctrl + G.

3. Uncheck box Clean old picture.

4. Press button OK.

5. Move the slice plane to second position and press button Apply. Now a new slice would be drawn above old picture.

6. Repeat point 5 several times.

To modify the color palettes for the data painting you can get Color transformations dialog by press button [image] or select Color table command from Colors menu. Also you can use one of the 9 predefined palettes from Palettes submenu of Colors menu.


Change Colors

Change colors of component

To get a view of the component, the defect, the probe or about the propagation of the different kind of waves they have to be color coded. All colors can be changed within Visualization & Colors dialog. To get this dialog select Visualization & Colors command from View menu or press Ctrl + G.

The program divide the picture elements on the following groups:

1. Probes,

2. Defects,

3. Component‘s material 1, 2, 3, … ,

4. Inspection points,

5. L, SH, SV1, SV2-waves,

6. Additional lines.

Groups 1-3 use 4 colors: the contour color + the area color for outer and inner side of surface.

Group 4 use 2 colors: the contour color + the area color.

Groups 5-6 use 1 color.

To change the color of group:

1. Click left mouse button on this color and a color table will appear.

2. Clicking one of the colored boxes will change the old color into the new one. If the 8 x 6 color table is not sufficient new colors can be defined with the Define Custom Colors button.

3. Press button OK to close the color table.

4. Uncheck box Update all views, if it is wanted to change the color in activated view only.

5. Press button OK to redraw picture.

For the L, SH, SV1, SV2-waves there are two additional options:

A) Define the pen width of the rays by the corresponding spin-buttons.

B) Select the painting colors corresponding to the wave segment numbers:

1. You must have the ray-tracing results on the screen.

2. Select the Wave segments... item from the Colors menu.

3. In this dialog click Color corresponds to segment number radio-button.

4. Select the segment number by the left spin-buttons.

5. Then select the color for this segment number by the right spin-buttons. The selected colors are defined in the Visualization & Colors-dialog (see the begin of this part) as lines colors. Totally you have 31 colors.

6. Press button OK to close the dialog and redraw all views.

To restore the correspondence between the colors and the wave types repeat the items 1-2 and click Color corresponds to wave type radio-button.

The check-boxes Show:

Parts of the component, the probe or the defect can be displayed or not. What will be displayed depends upon if the check boxes Show. But all this elements are involved in ray-tracing and other calculations independent from its visibility.

Change the color palette

3D-CAD-Ray-SAFT use 9 predefined color palettes to paint SAFT-data on slice plane and HF-data in Raw window. To select the palette press its number on the numpad or select Palettes submenu from Colors menu.

The Color table dialog can change the correspondence between colors and data-values. To get this dialog press button [image] or select Color table command from Colors menu.

You can do cycling shift of the colors in the selected color palette by press button [image] or select Color Cycle command from Colors menu. To stop this process do the same actions again. You must know that this option is possible only for the 256 colors display mode.


Defect

Add and modify defect

The Defect dialog allows to add a defect into the inspected component. To get dialog select the [image] button or Defect command from Tools menu.

The Place page define the defect‘s position, sizes and orientation. All this values correspond to the rectangular parallelepiped, that include full defect. To insert defect into component:

1. Activate Place page of Defect dialog.

2. Check box Include defect.

3. Set position, sizes and orientation. By default, the defect is placed at the center of component.

4. Press button Apply.

The Shape page define the shape of defect. There are 10 different shapes of defect: rectangle, cylinder, half cylinder, disc, half disc ikosaedr, sphere, Y-crack, solid crack, broken crack. To change defect‘s shape:

1. Activate Shape page of Defect dialog.

2. Select new shape in list of shapes.

3. For crack defects (last 3 in list) define by mouse the segment‘s positions.

4. Press button Apply.

To delete defect uncheck box Include defect on the Place page of Defect dialog.

To hide defect uncheck Show box in Visualization & Colors dialog.

If Defect dialog is shown the defect can be positioned and sized by mouse:

1. Rotate the view that the screen plane is parallel to the one of coordinate planes (xy) or (yz) or (xz). Otherwise, the results of sizing and positioning can be confusing.

2. Modify by mouse the rectangular tracker, which include defect.

3. Press button Apply on the Place page.

Change the material‘s parameters of the defect

By default, the defect reflects all rays. That means defect‘s material is air. To refract rays defect have to consist from another material:

1. Add defect as described above.

2. Select [image] button or Materials command from Tools menu.

3. In Materials dialog click spin-button down to select defect as current material.

4. Select defect‘s material from the list and press button OK.

5. Check box Material around defect.

6. Select corresponding material around defect by spin-buttons.

7. Press button Apply.

To delete this refraction property it is enough uncheck box Material around defect in Defect dialog.


Measure

Doing measurements

To get information about the size of the component, or about how many mm is the distance of the slice plane to the faces of the component the x-, y- and z-values can be used. They are positioned in the lower right corner of the main frame window and indicated the current position of the cursor.

Attention: If one of the coordinates does not lie exactly in the plane of the screen, you will get a projection of the rotated three-dimensional component on this plane and by moving the cursor, two coordinates will change in parallel.

When SAFT-data are shown, the status bar show the DB-value under cursor and three dimensional coordinates of the slice point.

To toggle on/off the mode to measure lengths and angles in screen plane select Measure command from Tools menu or press [image]. In measure mode cursor has shape

To do measurements:

1. Press left mouse button on first point of the view window.

2. Move mouse to the second point. In status bar there are the length [mm] between points and the angle [°] between a line, connecting points and horizon.

3. Move mouse to the next point. In status bar there are a total length [mm] of the broken line and the angle [°] between a two last segments of this line.

4. Repeat point 3 several times.

5. To break out the current measurement press right mouse button.


Select probe

The data base of probes is stored in file PROBES.DBF, which must be in the same directory as program 3DCADRaySAFT.EXE.

To select current probe (sizes of current probe you can see also in Point of view dialog):

1. Select List command from menu Probe.

2. Select in list a probe which you want.

3. Check button First or Second to define which probe you want define.

4. Press Select button.

To add new probe to list:

1. Select List command from menu Probe.

2. Select in list a probe below which a new probe would be inserted.

3. Press Insert button.

4. Input all parameters of a new probe: name, insonification angle, frequency and sizes.

5. Again press Insert button.

To delete probe from list:

1. Select List command from menu Probe.

2. Select in list a probe which would be deleted.

3. Press Delete button.

By default, slice plane does not cut the probe. You can change this ”cut”-properties from Visualization & Colors dialog.


Path

Define the scan path

Before a Ray Tracing session will be started, a probe must be placed on the surface of the component. You can define the scan path (a line with inspection points on the component‘s surface) or only one inspection point.

To select the starting point of the probe:

1. Press button [image] or select Set start command from Probe menu. Cursor change shape to [image].

2. Click the left mouse anywhere on the component‘s surface.

To select the ending point of the probe path:

1. Press button [image] or select Set end command from Probe menu. Cursor change shape to [image].

2. Click the left mouse anywhere on the component‘s surface.

To select the middle point of the probe path:

1. Press button [image] or select Set middle command from Probe menu. Cursor change shape to [image].

2. Click the left mouse on the component‘s surface between start and end points. Scan path is defined as intersection of component‘s surface with the plane contains those three points. If component‘s surface is a plane, the middle point can be placed anywhere on this plane.

3. If the middle point was selected correctly, define the number of inspection points. Otherwise, repeat points 1-2.

An alternative methods to define the scan path give Define scan path dialog and Scan path simulation.

Correct the scan path

The scan path definition by mouse is sometimes inconvenient, especially if there must be the exact coordinates of start and end points of probe path. In this case you can use the Define scan path dialog:

1. Rotate the view that the screen plane would be parallel to the scanning plane. Otherwise, the results can be confusing.

2. Select Define path command from Probe menu.

3. In the Define scan path dialog define three dimensional coordinates of the start, end and middle points of the probe path. If this points are defined out of the component‘s surface, they are projected on it perpendicular to the display surface in the activated view.

Alternatively you can save the scan path in PTH or POS-file (*.PTH, *.POS) and then load it.


RayTrace

Ray-tracing

Before start the ray-tracing there must be two things: the loaded CAD-component and the selected probe placed on the component‘s surface. The defect can be also into the component.

To do ray-tracing:

1. Press [image] button or select Ray-tracing command from Tools menu.

2. Set radial and circumferencial increments by spin-buttons.

3. Set cluster angle (positive for divergence rays or negative for focused rays).

4. Select the shape of ray cluster by radio-buttons.

5. Set the probe orientation angle. This angle is measured from the scan path direction, if it is defined. Otherwise the reference direction is one of the axial (X,Y, Z) directions.

6. Set the maximal ray length [mm].

7. Set the number of the ray segments in the ray-tracing scenario. The ray segment is a direct line connecting two points of ray‘s reflection or refraction on the interfaces.

8. Define the ray-tracing scenario that means selection of the each ray segment type. During the ray-tracing calculation, if there is not the reflected ray segment then calculates the refracted ray segment and wise versa.

9. Select what rays must be calculated by radio-buttons.

10. If there is a scan path select the inspection point along it by slider.

11. Check Approximate box if you want to use the linear approximation of the normal direction along the surface elements. In this case the ray-tracing calculation requires 10% more time but it has more precision for the non-flat surfaces.

12. If you want save the results of ray tracing in a file to use it in the your research or to produce a new scan path check the Save in file button.

13. Press button OK.

You can modify the component‘s material properties from the Materials dialog.

By default, a slice plane does not cut the rays. You can change this ”cut”-properties from Visualization & Colors dialog.

Also you can change the colors and the pen width of the rays in Visualization & Colors dialog.

You can automatically create an animation demo-film to see the process of ray‘s propagation.

Ray tracing in the austenitic materials

The ray-tracing in the austenitic materials are almost the same as ray-tracing for the usual ferrite material. There are the following differences:

1. See points 7 and 8 from the ray-tracing. Now you must define a more big number of the ray segments in the ray-tracing scenario, because a ray segment for austenitic materials is a direct line connecting two points where the ray change its direction. But in the ray-tracing scenario you as earlier select the type of ray between two reflection/refraction points on the interfaces.

2. The results of ray-tracing in the austenitic materials are high dependent from the inhomogeneity and anisotropy of materials: elastic constants and the grain orientation into the material.

3. The results are also dependent from the length of ray-segment.

Save the ray-tracing results

To use the results of ray tracing you can save it in a file. There are two possibilities:

1. Save the coordinates [mm] of the points, where the rays achieve defect and the time of flight [ms].

The POS-file with those data has the simple table text format and can be read by MS Excel.

2. Save the coordinates [mm] of the points, where the rays achieve the component surface, the insonification angle [°] and the probe orientation angle [°]. If you send the rays from those points under those angles, the rays achieve the points of the original scan path. That means you produce a new scan-path on base the old one.

See also Scan path definition by ray-tracing.

Scan path definition by ray-tracing

You can define the new scan path on base the ray-tracing results along the old scan path. It can be helpful tool if you know the possible positions of the surface connected defects. You define the scan path through the possible defect region and the ray-tracing calculates the new scan path together with the insonification and orientation angles of probe. By use this information you can inspect the possible defect region.

1. Define the scan path along the region where the defect can be and save it in PTH-file.

2. Press [image] button or select Ray-tracing command from Tools menu.

3. Set the number of the ray segments in the ray-tracing scenario.

4. Define the ray-tracing scenario that means selection of the each ray segment type.

5. Set the maximal length of rays to maximal value.

6. Set the probe orientation angle.

7. Select the probe insonification angle equal to 45°, because this value gives the best reflection conditions from defect, which is perpendicular to the component‘s surface.

8. Select only one ray in the ray cluster.

9. Check Save in file button to see the dialog.

10. Select the lower radio button. (It is selected by default.)

11. Define the required insonification angle for the new calculated scan path. If you define only one ray in the ray cluster skip this item.

12. Press Browse... button to select a name of POS-file.

13. Press OK button to close this dialog

14. Press OK button to close Ray-tracing dialog.

15. After the calculations was done, select Path simulation command from Tools menu and load the just calculated scan path.

16. After the analysis of the scan path points and insonification angles along it you can repeat items 1-14 with the following modifications:

1a. Load the saved old scan path.

8a. Select some cluster of rays to shift the calculated scan path to the points which have the insonification angles more close to the desirable value.

You can also select some subregion of the scan path or modify the insonification angles and save the edited path.

Scan path simulation

To simulate the probe motion along the scan path:

1. Select Path simulation command from Tools menu.

2. If there is no any probe path press Load path button to load it from the POS-file.

3. Check Probe motion box to see the probe motion along scan path. Otherwise you can see only movement of the probe‘s central bottom point along the component‘s surface.

4. Move slider at the dialog‘s bottom to see the probe movements.

If you want to change the insonification angle for the some range of scan points:

1. Move the slider to the start point of range and press Low button.

2. Move the slider to the ending point of range and press Up button.

3. Set the value of insonification angle.

4. Press Set insonification angle button.

If you want to save the some range of scan points as new scan path:

1. Move the slider to the start point of range and press Low button.

2. Move the slider to the ending point of range and press Up button.

3. Press Save subpath... button and select name of POS-file in the corresponding dialog.


Max Amplitude

Maximal amplitude simulation

Before start the maximal amplitude simulation there must be three things: the loaded CAD-component, the selected probe placed on the component‘s surface and a defect into the component. The maximal amplitude simulation divides on two main tasks:

1. Define the maximal amplitude of the echo-signal for each point along the scan-path.

2. Define the echo-signals from each surface‘s element of the defined material in the defined inspection point.

In calculation takes into account the visibility of each surface element from the inspection point. It is suggested that a ray propages along a direct line, connecting the inspection point and the center of each surface element.

To do the maximal amplitude simulation:

1. Press [image] button or select Amplitude command from Tools menu.

2. Select by spin-buttons the component‘s material that would give the echo-signal. Usually it must be Defect.

3. Select the longitudinal or shear rays by the radio-buttons.

4. Set the probe orientation angle.

5. Set the half angle of ray‘s cluster.

6. Check Write to file box to write the calculated data to the Excel-format (*.XLS) file.

7. Uncheck Clean old draw box to superimpose the new calculated data-plot on the old one.

8. Press Calculate path button. If there was checked Write to file box, then there must be two additional dialogs. First dialog define what calculated parameters would be written to the data-file. And second one define the data-file name.

9. The result of calculation is a plot of the maximal echo-signal from all selected surface elements against the number of inspection point.

To define the echo-signals from each surface‘s element:

1. Press [image] button or select Amplitude command from Tools menu.

2. Select by spin-buttons the component‘s material that would give the echo-signal. Typically it must be Defect.

3. Select the longitudinal or shear rays by the radio-buttons.

4. Set the probe orientation angle.

5. Set the half angle of ray‘s cluster.

6. Uncheck Clean old draw box to superimpose the new calculated data-diagram on the old one.

7. Select the inspection point along the probe path.

8. Press Show replays button.

9. The result of calculation is a column diagram of all echo-signals from the selected surface elements against the distance from inspection point to the center of the element. The color of column is the same color as used to draw this surface elements.


HF-simulation

High frequency data simulation

Before start the high frequency data simulation there must be three things: the loaded CAD-component, the selected probe placed on the component‘s surface and a defect into the component. The simulation takes into account the visibility of each surface element from the inspection point. It is suggested that the initial wave impulse propagate along a direct lines, connecting the inspection point and a points distributed on the surface elements of the defined material. Then program calculates the history of the echo-signals in all inspection points.

To simulate HF-data:

1. Press [image] button or select HF-simulation command from Tools menu.

2. Select by spin-buttons the component‘s material that would give the echo-signal. Typically it must be Defect.

3. Select the longitudinal or shear rays by the radio-buttons.

4. Set the probe orientation angle.

5. Set the cone angle of ray‘s cluster.

6. Set the number of reflection points on 1 square mm, distributed equidistantly on the surface elements of the selected material (See point 2).

7. Define a name of file to write HF-data. Press Browse... button to select another directory or to look for existing files.

8. Select the HF-data file format by radio-buttons.

9. Select the number of pulses in the initial wave impulse.

10. Set the number of time samples.

11. Select the scale units ms or mm for Delay and Range values by radio-buttons.

12. Set the Delay value – the time interval without recording HF-data.

13. Set the Range value – the time range to record HF-data.

14. Press OK button.

See also Load and visualization of the HF-data file.


RAW

Load and visualization of HF-data file

To load/unload High Frequency data file select Raw Data command from Windows menu, or press [image] button, or press Load data button in SAFT-dialog. After the file name selection in File Open dialog HF-data are loaded to memory and created Raw window. Now 3D-CAD-Ray-SAFT supports the following HF-data formats:

8-bits per pixel data,

12-bits per pixel data, logarithmically transformed to 8-bits,

12-bits per pixel data,

16-bits per pixel data.

This is window with HF-data, which can be used to do SAFT-reconstruction. To select a subregion of HF-data one can use the mouse with pressed left button. Double click left mouse button on HF-data restores a full data size. The same action on the right window with A-scan data toggle between time and frequency domains. During the cursor movements in Raw-window you can see the distance of flight [mm] and number of inspection point in the left-bottom and top-right corners of Raw-window, correspondingly. The current value of the sound pressure is shown at the begin of status bar, X value corresponds to the inspection point position, Y-value – to the number of scan-line and Z-value – to the time of flight [ms].

From the system menu of Raw-window you can print or copy to the Clipboard not only HF-data picture but also the current A-scan. During copy to the Clipboard the A-scan can be rotated on 90°.

From the same menu you can save the HF-data picture in a graphical file (BMP, GIF, JPEG, TIFF)

To see this dialog with information about HF-data click right mouse button on the Raw-window.

To change the scan-line number use spin-buttons.

To change the colors of the data painting you can get Color table dialog by press button [image] or select Color table command from Colors menu. Also you can use one of the 9 predefined palettes from Palettes submenu of Colors menu.


CBA

What is the Central Beam Approximation reconstruction?

The Central Beam Approximation technique (CBA) is applied there to reconstruct the internal structure of a component on base the High frequency data recorded along a scan-line on the arbitrary component‘s surface. The main idea of this reconstruction is simple:

1. Perform the ray-tracing into the CAD-component geometry.

2. Define by what path the rays can return back.

3. Create the envelop of the high frequency signal, set the threshold value and cut some frequencies to reduce a noise.

4. The visualization of the processed HF-data on the rays by use the ray-path and the time of flight.

1. Load the component.

2. Load the HF-data. Select the interesting for you subregion of HF-data.

3. Read from the HF-data header the information about the probe path by Information dialog.

4. Set the probe path, corresponding to this information.

5. Perform ray-tracing to define the possible direct ray path. By this path the rays can go to the defect.

6. Select CBA... command from Tools menu to see the dialog with CBA-parameters. In this dialog:

7. Correct the delay time. By default it is taken from the HF-data file header.

8. Set the threshold value.

9. Select the US-wave type for the last segment: Shear or Longitudinal.

10. Set the pen width.

11. Check the All shot points button if you want to see CBA-reconstructed results for the all points along the probe scan path. (If you select a subregion of HF-data the CBA reconstruction would be done only for this data.) Otherwise you can see the results for the current probe position only.

Usually, if you check this button there is no sense to set in the ray-tracing scenario more the one ray in ray‘s cluster.

12. Select the numbers of low and high frequencies to cut from the high frequency data.

13. Check the Direct reflection, Corner echo or Multiple skips scenarios for the ray to return back.

14. Press OK button.

The CBA-results cannot be previewed, printed directly or saved in Windows metafile format.


SAFT

SAFT-reconstruction

The Synthetic Aperture Focussing technique (SAFT) is applied there to reconstruct the internal structure of a component on base the High frequency data recorded along a scan-line on the arbitrary component‘s surface. The main idea of this reconstruction is simple:

1. Connect HF-data to the CAD-component geometry.

2. Define a slice which go through the volume with this data.

3. Select on the slice a rectangular region of interest.

4. SAFT-reconstruct the internal structure in this region. In this case the space resolution is a pixel.

1. Load the component.

2. Press button [image] or select SAFT command from Tools menu.

3. Press Load Data button to load the HF-data. Select the interesting for you subregion of HF-data.

4. Read from the HF-data header the information about the probe path by Information dialog.

5. Set the probe path, corresponding to this information.

6. Correct the Probe orientation angle.

7. Set Beam opening angle value. This value is one of the main parameters of SAFT reconstruction technique. As a rule smaller values of this angle means a smaller time of calculations and less precision.

8. Select the US-wave type: S – shear or L – longitudinal.

9. Correct the Delay value.

10. Check Show Raw-data box to see the 3D-region where exists HF-data for SAFT-reconstruction. Now this region is draw correctly only for the probe scanning on a flat surfaces.

11. Press Apply button.

12. Activate B-scan page.

13. Press Create slice button to create a slice that go through the current probe path.

14. Press Orient view button to rotate a view so that a slice plane is parallel to the display.

15. Select most convenient view orientation and scale.

16. Check Show interface lines box to see the boundaries between different materials on the slice.

17. Select The type of the probe path by radio-buttons. Line – means that the probe path is a direct line. Segments – the probe path consists from the segments of direct lines which are defined by intersection of slice with the component‘s surface. Spline – is not realized now. Circle – the probe path is a part of circle.

18. If the type of the probe path is a circle, correct the circle radius.

19. Check Show B-scan box to put on the view a rectangular tracker.

20. Use this tracker to set by mouse the sizes and position of the region to reconstruct.

21. Activate Filters page.

22. Select by radio-buttons the type of digital filter would be applied to the reconstructed data.

23. If it was selected the FFT-filters, set by spin-buttons the numbers of low and high Cut frequencies. The horizontal FFT filter is the best in case of the horizontally directed US-rays. The vertical FFT filter is the best for vertically directed US-rays. For the median filter there must be defined its orientation and width.

24. Press Apply button to start SAFT reconstruction. This button can be pressed also for the activated B-scan or A-scans page.

25. Wait while 3D-CAD-Ray-SAFT reconstruct and paint the region of interest on the slice. Now you can rotate and scale this region.

We recommend at first do SAFT-reconstruction in the largest region for the small (~ 1°) beam opening angle. The result is a good overview for a minimal time. Then you can select the most interesting for you region, reduce its scale and do SAFT-reconstruction for the larger beam opening angle (~ 20°).

Multi-Line SAFT-reconstruction

The Synthetic Aperture Focussing technique (SAFT) is applied there to reconstruct the internal structure of a component on base the High frequency data recorded along a several direct scan-lines on the component‘s surface. We call this technique Multi Line SAFT. The idea of this reconstruction is follow:

1. Connect HF-data to the CAD-component geometry.

2. Show the volume with this data.

3. Show the reconstructed volume of interest.

4. Multi-line SAFT-reconstruct the internal structure into this volume and save results in a file.

1. Load the component.

2. Press button [image] or select SAFT command from Tools menu.

3. Press Load Data button to load the HF-data. Select the interesting for you subregion of HF-data.

4. Read from the HF-data header the information about the probe path by the Information dialog.

5. Set the probe path, corresponding to this information.

6. Correct the Probe orientation angle.

7. Set Beam opening angle value. This value is one of the main parameters of SAFT reconstruction technique. As a rule smaller values of this angle means a smaller time of calculations and less precision.

8. Select the US-wave type: S – shear or L – longitudinal.

9. Correct the Delay value.

10. Correct the Increment value – the distance between scan-lines.

11. Check Y-inversion box to give for the increment negative value.

12. Check Show Raw-data box to see the 3D-region where exists HF-data for SAFT-reconstruction. Now this region is draw correctly only for the probe scanning on a flat surfaces.

13. Select the Scan-type by spin buttons [image]. Now it is not realized the cases of circumferencial scanning.

14. If it was selected the circumferencial scanning, set the R[mm] value of the scan-line radius.

15. If it was selected the scanning with shift between the odd and even scan-lines, set the value of this shift.

16. Press Apply button.

17. Activate mB-scan page.

18. Set Start values of the scanning and depth coordinates.

19. Set Size values of the scanning and depth coordinates.

20. Use spin-buttons to set Points value – the number of reconstructed points in scanning direction. This value cannot be modified arbitrary, it is multiple of the inspection points number.

21. Set the Points value – the number of reconstructed points in depth direction.

22. Set by spin buttons the Scan from and Scan to values – the initial and end numbers of scan-lines included to the SAFT-reconstruction.

23. Check Show shape box and press Apply button to see the reconstructed volume shape.

24. To correct the reconstructed volume repeat points 18-23.

25. Activate Filters page.

26. Select by radio-buttons the type of digital filter would be applied to the reconstructed data.

27. If it was selected the FFT-filters, set by spin-buttons the numbers of low and high Cut frequencies. The horizontal FFT filter is the best in case of the horizontally directed US-rays. The vertical FFT filter is the best for vertically directed US-rays. For the median filter there must be defined its orientation and width.

28. Again activate mB-scan page.

29. Check Create MB-scan box.

30. Check Apply filter box.

31. Press Apply button to start Multi-line SAFT reconstruction.

How load and visualize the reconstructed data see in the part Import and visualization of the 2D and 3D SAFT-reconstructed data.


Draw

Draw marks, bitmaps and texts on the view

There is a possibility to draw and edit a overlay – some of the simplest geometrical figures, texts and bitmaps on the views. To do that press [image] button or select Drawbar command from Windows menu and you see the Drawing tools dialog.

To draw rectangle, ellipse, line, arrow, scale mark, text:

1. Press buttons with the corresponding image and color on the Drawing tools dialog.

2. If it is text, its contents and font you can define in the special popup dialog.

3. Click the left mouse button into the view boundaries.

4. Click the left mouse button again into this graphical element boundaries to capture it.

5. Edit by mouse the sizes and position of the element.

6. To change the color of element press the button with corresponding color.

7. Press the left mouse button out of the element‘s boundaries to release capture.

To create vertical text or scale mark make its vertical size more than horizontal one.

To draw bitmap:

1. Insert a bitmap into the clipboard by the menu command BMP to clipboard from a disk file or by the command Copy to Clipboard from the current active view, or from another Windows application.

2. Press bitmap button on the Drawing tools dialog.

3. Click the left mouse button into the view boundaries.

4. Click the left mouse button again into this graphical element boundaries to capture it.

5. Edit by mouse the sizes and position of the bitmap. You can make also the horizontal or/and vertical mirror transformations if you invert the left and right (or/and the top and bottom) boundaries.

6. Press the left mouse button out of the element‘s boundaries to release capture.

To delete the captured graphical element move it out of view boundaries or press button ”Delete”. After delete the last graphical element overlay that connected to this view is deleted automatically.

The size of the overlay is the view size at the beginning of drawing. That means if you want to use the more thick lines, create overlay for a view with small sizes and then expand this view to the full screen.

To hide/show overlay use Overlay command from View menu.

Copy picture to the clipboard

The 3D-CAD-Ray-SAFT can send a active view picture to the another Windows applications like Microsoft Word, PhotoShop or CorelDraw through the Windows Clipboard. To copy contents of the current view onto the clipboard as 256-color bitmap and as Enhanced Windows Metafile press [image] button, or press Ctrl + C or choose the Copy to Clipboard-command in the File-menu. Copying data to the clipboard replaces the contents previously stored there.

If you want to create a bitmap with exact sizes:

1. Select Set size command from Windows menu.

2. Input sizes of bitmap and press OK button.

Attention

There can be a difference between the bitmap and the Enhanced Windows Metafile, if you uncheck Clean old picture box in the Visualization & Colors dialog, for example, to create several data-painted slices on one view.

Save picture in the graphical file

The 3D-CAD-Ray-SAFT can save a active view picture in the graphical file. To save contents of the current view into the file:

1. Press [image] button, or choose the Save as...-command in the File-menu.

2. Then select one of the filename extensions: BMP, GIF, JPEG, TIFF or WMF.

3. Select the desired directory, input filename and press OK button.

If you want to create a picture with exact sizes:

1. Select Set size command from Windows menu.

2. Input sizes of picture and press OK button.


Anim

Create an animation film

There are two modes to create animation film (AVI,FLC or FLI-formats) – manual and automatic. In the manual mode you create a new picture and add it to the film as one frame. Then you create a next picture and add it and so on. In the automatic mode at first you create a film scenario from the nodal pictures and the numbers of frames between those nodes. Then 3D-CAD-Ray-SAFT automatically calculate all intermediate frames and compress to the animation file.

To create animation in manual mode:

1. Press [image] button or select Animation command from Tools menu.

2. Check Manually by one frame radio-button in Creation of the animation file dialog.

3. Define the name of the animation file in File Open dialog.

4. Set delay time [ms] between frames.

5. Create first frame – the view with first picture.

6. Set the number of this frames in animation-file. Typically it must be 1. But if you want that some frame was repeated several times set another number.

7. Press Add frames button. If you add a first frame to the AVI-file there must be Compression dialog to define the method and the quality of video-compression.

8. Repeat points 5-7 for each frame in animation film.

9. If there was your error press Reset button to delete created animation file and start once more.

10. Press Close movie button or close dialog.

To create animation in automatic mode:

1. Press [image] button or select Animation command from Tools menu.

2. Check Automatically radio-button in Creation of the animation file dialog.

3. Set delay time [ms] between frames.

4. Create first nodal frame – the view with first picture.

5. Press Add frames button to add the first node to the animation scenario.

6. Create second nodal frame. Difference between nodal frames must be in the values of the following parameters: the view scale and orientation, the position of slice, the number of inspection point, the ray-tracing parameters (the maximal ray length, the probe orientation angle and the angle of ray‘s cluster). If all this parameters are identical for the two nodes then all intermediate frames are also identical, because 3D-CAD-Ray-SAFT do the linear interpolation of this parameters for the intermediate frames.

7. Set the number of intermediate frames between first and second nodal frames.

8. Press Add frames button to add the current node of scenario.

9. Repeat points 6-8 for each nodal frame of the animation scenario.

10. If there was your error press Reset button to delete created animation scenario and start it again.

11. Press Create button.

12. Define the name of the animation file in File Open dialog. If you define AVI-file there must be Compression dialog to define the method and the quality of video-compression.

13. Wait some time while 3D-CAD-Ray-SAFT calculate all intermediate frames and compress its to the animation file. Press Stop button if you want to break this process.


File menu

The File menu offers the following commands:

New... | Show dialog to create a new component as Own File Format file (*.OFF). Shape of new component can be plate, tube, weld or flange.
Open | Opens an existing ALGOR-file (*.ALG), AutoCAD-format (*.DXF), Parametric Description file (*.PDC), Outer DiameTer-file (*.ODT) or Own File Format file (*.OFF).
Close | Close loaded geometry-file without close application.
Save As | Save loaded geometry-file as OFF-file or save the current view picture as graphical file (BMP, GIF, JPEG, TIFF, WMF).
Transform... | Show dialog to modify a component by use similarity, affin or non-linear space transformations.
Correct | Toggle on/off a mode to correct the numeration order of vertex in surface elements.
Information... | Show dialog with information about the current component.
BMP to Clipboard | Load to Clipboard bitmap from BMP-file. This bitmap can be overlayed on any view by means Drawing Tools.
Copy to Clipboard | Copy contents of the current view to the clipboard as 256-color bitmap.
Print | Prints contents of the current view.
Print Preview | Displays contents of the current view on the screen as it would appear printed.
Print Setup | Selects a printer and printer connection.
1,2,3,4,5,6,7,8 | Open one of the last eight documents you closed.
Exit | Exits 3D-CAD-Ray-SAFT.

New command (File menu)

Show dialog to select shape and parameters of a component geometry.

Plate

Use this page to select shape and parameters of a plate component geometry.

Tube

Use this page to select shape and parameters of a tube component geometry.

Weld

Use this page to select shape and parameters of a weld component geometry.

Flange

Use this page to select shape and parameters of a flange component geometry.

Open... command (File menu)

Displays the Open dialog box, in which you can locate, preview and open the desired file.

Use this command to open an existing

*.ALG Algor files,

*.DXF AutoCAD files,

*.OFF Own File Format files,

*.ODT Outer DiameTer files,

*.PDC Parametric DesCription files,

*.* files with another extensions (in this case show the following dialog).

For DXF-files show dialog to input the additional geometry information.

For ODT-files show dialog to input the additional geometry information.

Shortcuts

Toolbar:

Keys: CTRL+O

Close command (File menu)

Use this command to close an loading component geometry file without close application.

Save As... command (File menu)

Use this command to save an loading component geometry file as Own File Format file (*.OFF).

Alternatively you can save the current view picture as graphical file (BMP, GIF, JPEG, TIFF, WMF).

Shortcuts

Toolbar:

Transform... command (File menu)

Show dialog to select a transformation of the component geometry.

Similarity Transform - page

Select this page for the orthogonal transformation of the component geometry.

Affin Transform

Select this page for the affin transformation of the component geometry.

Non-linear Transform

Select this page for the nonlinear transformation of the component geometry.

Correct command (File menu)

Toggle on/off a mode to correct the numeration order of vertexes in surface elements. In this mode to correct the order of all surface elements of one components part, you have to click left mouse button on this part.

It is important to calculate the outer normal of surface elements, which is used for painting, in Ray-tracing algorithm and to define the probe positions on the component's surface.

Information... command (File menu)

Show dialog with the information about component.

BMP to Clipboard command (File menu)

Use this command to copy contents of the BMP-file onto the clipboard. This bitmap can be overlayed on any view by means of Draw Bar.

Copying data to the clipboard replaces the contents previously stored there.

Copy to Clipboard command (File menu)

Use this command to copy contents of the current view onto the clipboard as 256-color bitmap and as Enhanced Windows Metafile. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.

Shortcuts

Toolbar:

Keys: CTRL+C

Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options:

Printer

This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specify the pages you want to print:

All Prints the entire document.

Selection Prints the currently selected text.

Pages Prints the range of pages you specify in the From and To boxes.

Copies

Specify the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Select the quality of the printing. Generally, lower quality printing takes less time to produce.

Shortcuts

Toolbar:

Keys: CTRL+P

Print Preview command (File menu)

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job:

Print - Bring up the print dialog box, to start a print job.

Next Page - Preview the next printed page.

Prev Page - Preview the previous printed page.

One Page / Two Page - Preview one or two printed pages at a time.

Zoom In - Take a closer look at the printed page.

Zoom Out - Take a larger look at the printed page.

Close - Return from print preview to the editing window.

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection:

Printer

Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.

Orientation

Choose Portrait or Landscape.

Paper Size

Select the size of paper that the document is to be printed on.

Paper Source

Some printers offer multiple trays for different paper sources. Specify the tray here.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.

1, 2, 3, 4, 5, 6, 7, 8 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last eight documents you closed. Choose the number that corresponds with the document you want to open.

Exit command (File menu)

Use this command to end your 3D-CAD-Ray-SAFT session. You can also use the Close command on the application Control menu. 3D-CAD-Ray-SAFT ask you about save most important current settings from dialog-boxes in Windows system register.

Shortcuts

Mouse: Double-click the application's Control menu button.

Keys: ALT+F4


View menu.

The View menu is accessible also if you press right mouse button on the view. This menu offers the following commands:

Point of View... | Shows or hides the dialog box to select point of view.
Slice... | Shows or hides the dialog box to select slice position and options.
Visualisation... | Shows the dialog box to select parameters of surface elements groups.
Solid | Shows solid or wire frame surfaces.
SAFT-Data | Shows or hides SAFT-reconstruction data on the cross-section.
Legend | Shows or hides the legend of the current view orientation.
Overlay | Shows or hides the overlay for the current view.
Scale 1/2 | Reduce the current view scale in 1/2.
Restore | Restore original sizes of view.
ReDraw | Redraw the current view.

Point of View... command (View menu)

Shows or hides the dialog box to select point of view.

See also Change point of view.

Shortcuts

Toolbar:

Keys: CTRL+V

Slice Plane... command (View menu)

Shows or hides a dialog box to select a slice position and options.

Shortcuts

Toolbar:

Slice Definition by Mouse

Use this page to select target-view to draw slice by mouse. See also Create slice.

Slice Definition by Normal & Point

Use this page to select slice by normal and point. See also Create slice.

Slice Definition by Axis & Angle

Use this page to select slice by axis and angle. See also Create slice.

Show SAFT-data on Slice

Use this page to define file with SAFT-reconstruction data and parameters to show this data. See also Create slice and Import and visualization of the 2D and 3D SAFT-reconstructed data.

Visualization & Colors... command (View menu)

Shows the dialog box to select groups of surface element properties. See also Change colors of components.

Shortcuts

Keys: CTRL+G

Solid command (View menu)

Shows solid or wire frame surface of component. See also The wire frame and solid models.

Shortcuts

Toolbar:

SAFT-Data command (View menu)

Shows or hides SAFT-reconstruction data on the slice. If there is no loaded SAFT-data, show dialog to load this data. See also Import and visualization of the 2D and 3D SAFT-reconstructed data.

Shortcuts

Toolbar:

Legend command (View menu)

Shows or hide a legend of the view orientation.

Overlay command (View menu)

Show or hide overlay on the current view. See also Draw marks, bitmaps and texts on the view.

Scale 1/2 command (View menu)

Reduce the current view scale in 1/2.

Restore command (View menu)

Restore the original size of view.

Shortcuts

Mouse: Double click of the left mouse button on view-window.

Redraw command (View menu)

Redraw the current view. This mode is active only for the screen color modes other then 256-colors.


Probe menu

The Probe menu offers the following commands:

List... | Shows the dialog box to select probe type.
Set Start | Switch on the mode to select a start probe position.
Set End | Switch on the mode to select a end probe position.
Set middle | Switch on the mode to select a middle point on the probe trajectory.
Define path... | Define the probe scanning path coordinates. You can also save the probe path in PTH or POS-file (*.PTH, *.POS) and then load it.
Second probe | Switch on the mode to select a second probe position.

List... command (Probe menu)

Shows the dialog box to select the probe type from program data base, stored in file PROBES.DBF. See also Select probe.

Set Start command (Probe menu)

Switch on the mode to select a start probe position. To select position click left mouse button on the corresponding point of component‘s surface. See also Define the probe path.

Shortcuts

Toolbar:

Set End command (Probe menu)

Switch on the mode to select a end probe position. To select position click left mouse button on the corresponding point of component‘s surface. See also Define the probe path.

Shortcuts

Toolbar:

Set Middle command (Probe menu)

Switch on the mode to select a middle point on the probe trajectory. To select position click left mouse button on the corresponding point of component‘s surface. After selection this point show dialog to define the number of inspection points. Probe trajectory is defined as intersection of component‘s surface with the plane contains those three points. See also Define the probe path.

Shortcuts

Toolbar:

Define Path... command (Probe menu)

Show the dialog to define three dimensional coordinates of the start, end and middle points of probe path. If this points are defined out of the component‘s surface, they are projected on it in the current active view perpendicular to the display surface.

You can also save the probe path in PTH or POS-file (*.PTH, POS) and then load it.

See also Correct the probe path.

Second Probe

Switch on the mode to select a second probe position. To select position click left mouse button on the corresponding point of component‘s surface. See also Define the probe path.


Tools menu

Materials... | Shows the dialog box to select types of the materials.
Defect... | Shows the dialog box to select the defect shape and position.
Ray-tracing... | Shows the dialog box to do Ray-tracing.
HF-simulation... | Shows the dialog box to simulate HF-data for the given probe path.
SAFT... | Shows the dialog box to do SAFT-reconstruction of the internal structure of component.
CBA... | Show the dialog box to do CBA-reconstruction of the internal structure of component.
Amplitude... | Calculate maximal amplitudes along the scan path..
Path simulation... | Shows the dialog box to simulate the probe motion along the scan path.
Measure | Length's and angular measurements in screen plane.
Animation... | Shows the dialog box to create animation film (AVI,FLC or FLI-formats).

Materials... command (Tools menu)

Shows the dialog box to select the homogeneous or inhomogeneous material properties from the program data bases, stored in files MATERIAL.DBF and AUSTENIT.DBF.

Shortcuts

Toolbar:

Usual Materials Properties

Use this page to define a homogeneous material properties.

Elastic Constants

Use this page to define the elastic constants of the inhomogeneous materials.

Grain Orientation

Use this page to define the grain orientation of the inhomogeneous materials.

Defect... command (Tools menu)

Shows or hides the dialog to select defect position, sizes, orientation and reflection or refraction properties.

Shortcuts

Toolbar:

Place of Defect

Use this page to define a defect position.

Shape of Defect

Use this page to select defect shape.

Ray tracing... command (Tools menu)

Shows the dialog box to do Ray-tracing.

Shortcuts

Toolbar:

HF-simulation... command (Tools menu)

Shows the dialog box to simulate High Frequency data for the given probe path.

Shortcuts

Toolbar:

SAFT... command (Tools menu)

Shows the dialog box to do 2D or 3D SAFT-reconstruction of the internal structure of component.

Shortcuts

Toolbar:

A-scans - page

Use this page to define A-scans parameters which are used for SAFT-reconstruction.

B-scans - page

Use this page to define B-scans parameters of SAFT-reconstruction.

Multi B-scans - page

Use this page to define Multi B-scans parameters of SAFT-reconstruction.

Filters - page

Use this page to define a filters for SAFT-reconstruction.

CBA... command (Tools menu)

Shows the dialog box to reconstruction by the Central Beam Approximation.

See also What is the ”Central Beam Approximation” reconstruction.

Amplitude... command (Tools menu)

Shows the dialog box to calculate replays from surface elements in the inspection points. See also Maximal amplitude simulation.

Shortcuts

Toolbar:

Path simulation... command (Tools menu)

Shows the dialog box to simulate the probe motion along the scan path.

See also Scan path simulation.

Measure command (Tools menu)

Toggle on/off the mode to measure lengths and angles in screen plane. See also Do measurements.

Shortcuts

Toolbar:

Animation... command (Tools menu)

Shows the dialog box to create animation film (AVI,FLC or FLI-formats). See also Create an animation film.

Shortcuts

Toolbar:


Colors menu

The Colors menu offers the following commands, which enable you to arrange colors in the application:

Color table... | Show the dialog box to select colors for painting cross-section with SAFT-data.
Palettes | Give submenu to select one of the 9 predefined color palettes.
Color Cycle | Turn on or turn off the cycle of the palette animation.
Wave segments... | Change colors of the wave segments after ray-tracing.
Registration Level... | Set registration level of A-scans data or SAFT-reconstructed data.

Color table... command (Colors menu)

Show the dialog box to select colors for painting component‘s slice with SAFT-Data.

Shortcuts

Toolbar:

Palettes command (Colors menu)

Shows submenu to select one of the 9 predefined color palettes:

Color Cycle command (Colors menu)

Turn on or turn off the cycle of the palette animation.

Shortcuts

Toolbar:

Wave segments... command (Colors menu)

Show this dialog to select the colors for the wave segments corresponding to their numbers.

Registration level... command (Colors menu)

Set registration level of A-scans data or SAFT-reconstructed data.

Shortcuts

Toolbar:


Windows menu

The Window menu offers the following commands, which enable you to arrange multiple views the application window:

Raw Data | Show contents of HF-data file.
Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Draw Bar | Shows or hides the draw bar (to create overlay).
Set size | Set size of the internal window region.
Split | Split the active window into panes.

Raw Data... command (Windows menu)

Show File Open dialog box to select the name of file with High Frequency data. After name selection load data to memory and create this window. Now 3D-CAD-Ray-SAFT supports the following HF-data formats:

8-bits per pixel data,

12-bits per pixel data, logarithmically transformed to 8-bits,

12-bits per pixel data,

16-bits per pixel data.

This is window with HF-data, which can be used to do SAFT-reconstruction. This data can be loaded also from SAFT-dialog. To select a subregion of HF-data one use the mouse with pressed left button. Double click left mouse button on HF-data restores a full data size. The same action on the right window with A-scan data toggle between time and frequency domains.

From the system menu of Raw-window you can print or copy to the Clipboard not only HF-data picture but also the current A-scan. During copy to the Clipboard the A-scan can be rotated on 90°.

From the same menu you can save the HF-data picture in a graphical file (BMP, GIF, JPEG, TIFF).

To see this dialog with information about HF-data click right mouse button on this window.

To unload the HF-data select again this command or close the HF-data window.

Shortcuts

Toolbar:

Toolbar command (Windows menu)

Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in 3D-CAD-Ray-SAFT, such as File Open. A check mark appears next to the menu item when the Toolbar is displayed.

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in 3D-CAD-Ray-SAFT.

To hide or display the Toolbar, choose Toolbar from the Windows menu (ALT, W, T).

Click To

Show the dialog to define a new component parameters.

Open an existing ALG, DXF, OFF, ODT or PDC-file. 3D-CAD-Ray-SAFT displays the Open File dialog box, in which you can locate, preview and open the desired file.

Save loaded file as Own File Format file.

Copy the current view to the clipboard.

Print the active document.

Shows or hides the dialog box to select point of view.

Shows solid or wire frame surfaces.

Shows or hides the dialog box to select cross-section.

Switch on the mode to select a start probe position.

Switch on the mode to select a end probe position.

Switch on the mode to select a middle point on the probe trajectory.

Shows the dialog box to select types of the materials.

Shows the dialog box to select defect parameters.

Show the dialog to set registration level.

Show the dialog box to select colors for painting cross-section with SAFT-Data.

Shows the dialog box to do Ray-tracing.

Shows the dialog box to simulate HF-data for the given probe path.

Show contents of HF-data file.

Shows the dialog box to do SAFT-reconstruction of the internal structure of component.

Shows the dialog box to do CBA-reconstruction of the internal structure of component.

Toggle on/off the mode to measure lengths and angles in screen plane.

Shows the dialog box to calculate replays from surface elements in the inspection points.

Split the application window into the panes.

Show or hide Draw Bar to drawing labels and text on views.

Shows the dialog box to create animation film (AVI,FLC or FLI-formats).

Show help on some portion of 3D-CAD-Ray-SAFT.

Status Bar command (Windows menu)

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and current time. A check mark appears next to the menu item when the Status Bar is displayed.

The status bar is displayed at the bottom of the 3D-CAD-Ray-SAFT window. To display or hide the status bar, use the Status Bar command in the Windows menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

Indicator Description

X: The current X-coordinate of cursor.

Y: The current Y-coordinate of cursor.

Z: The current Z-coordinate of cursor.

Time: The current time.

Draw Bar command (Windows menu)

Use this command to display and hide the Draw Bar, which includes buttons for drawing some of the simplest geometrical figures, text and bitmaps. A check mark appears next to the menu item when the Draw Bar is displayed.

The Draw Bar edit overlay - collection of graphical elements (Enhanced Window Metafile) that is superimposed on the view. To hide overlay use menu command Overlay.

To hide or display the Draw Bar, choose Draw Bar from the Windows menu (ALT, W, D).

See also Draw marks, bitmaps and texts on the view.

Shortcuts

Toolbar:

Set Size command (Windows menu)

Show dialog to set sizes of the internal window region. This option is helpful to create BMP-copy of the current active view in the Clipboard with predefined sizes.

Split Command (Windows menu)

Use this command to split the application window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing escape keeps the splitter bars in their original location. See also Use several views at the same time.


Help menu

The Help menu offers the following commands, which provide you assistance with 3D-CAD-Ray-SAFT:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number and copyright information about 3D-CAD-Ray-SAFT application. Show also system resources.
Tip of the Day... | Displays the Tip of the Day for the 3D-CAD-Ray-SAFT application.

Help Topics command (Help menu)

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using 3D-CAD-Ray-SAFT and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.

Tip of the Day... command (Help menu)

Use this command to display the short helpful information about work with 3D-CAD-Ray-SAFT.

About... command (Help menu)

Use this command to display the copyright notice and version number of your copy of 3D-CAD-Ray-SAFT.


techniques

Nondestructive Acoustic Imaging Techniques

Introduction

Safety standards have the task to specify those safety-related requirements which shall be met with regard to the state of science and technology to avoid damage arising from the construction or operation of technical components. Non-destructive examinations of the internal and external surfaces and of the body of the component shall contribute to a safe operation through the entire lifetime of components like pipes, nozzles, pressure vessels, pump casings, turbines or other technical structures.

Examinations with regard to cracks in the surface or near-surface regions are magnetic or liquid penetrant examination procedures or ultrasonic methods with special techniques like acoustic surface waves, mode conversion effects, angular mirror effect or the use of dual search units with longitudinal waves. With respect to volumetric examination radiographic or ultrasonic techniques are used for thicker walls. Mostly the ultrasonic procedures use single probe technique with straight or angle beam technique, tandem or pitch and catch techniques, special probes like focusing probes in immersion technique or phased array probes to steer or focus a beam electronically. The first approach in the data acquisition is to set up a time window, rectify the signal and store the highest amplitude of all received pulses together with the time-of-flight (TOF) value. The next step is to store all maxima of the together with all TOF-values. Other methods follow the amplitude behavior of one pulse while the ultrasonic probe moves along the surface of the component. This gives the registration length which in some way is correlated with the actual flaw length or flaw depth.

In most cases, the evaluation of amplitudes to assess the fitness for purpose by fracture mechanic calculation will give insufficient results. To provide the fracture mechanics calculation with more quantitative results about flaw sizes, acoustic imaging techniques or “reconstruction techniques” like “Ultrasonic Holography” or “Synthetic Aperture Focusing Technique” are used. The paper discusses work being performed during the last 30 years to improve the state of the art of Acoustic Imaging Techniques for NDT-purposes.

The Non-Destructive Testing Task

The ultrasonic methods have to evaluate position, size and shape of possible material defects and to characterize the defect to be planar or volumetric. The frequency range which shall be selected has to be optimized for the different materials. In the case of concrete material used to construct bridges or tunnels the frequency range is below 100 kHz; pipelines or pressure vessels made of ferritic or austenitic steel are tested in a frequency range between 1 MHz and 10 MHz and ceramic material at frequencies up to 100 MHz. The arrangement of the sensors is bistatic or monostatic. In NDT monostatic means that one probe transmits and receives the ultrasonic pulses in pulse echo arrangement. A bistatic arrangement allows to place two probes on one side of the specimen either in forward- or in backward scattering positions or in through transmission on the opposite side of the specimen.

A typical data acquisition and evaluation system consists of a manipulator which is adapted to the component: central mast manipulator, pipe scanner, x-y-scanner or an immersion tank; the ultrasonic transmitter/receiver is connected to the probe which is moved by the manipulator; the ultrasonic data are stored as a function of probe position after analog to digital conversion on a mass memory board. A typical PC-based data acquisition - where the ultrasonic cards are a part of a personal computer - is shown in fig. 1.

Fig. 1 PC-based Ultrasonic NDT-Equipment with remote controlled pipe scanner

In most of all ultrasonic testing applications one relies upon the amplitude information. Basically two methods are used, the DGS evaluation according to Distance-Gain-Size curves and the contour estimation as B- or C-scans (side view or top view). The DGS method is recommended by many codes and standards especially for manual inspection and is an important tool when the defects are smaller than the ultrasonic wavelength and a tomographic method can not be used. In the case of the contour estimation for horizontally lying defects a perpendicular insonification with longitudinal waves will be used; for mostly perpendicular to the surface oriented defects an oblique insonifications with shear waves under 45°, 60° or 70° will be selected. For both methods the size of the image depends not only on ultrasonic beam parameters like the insonfication or divergency angle but on defect parameters like shape, orientation or roughness too.

Therefore we will discuss only those methods which use in addition to the amplitude the “Time-Of –Flight” (TOF) information and which have full access to the complete non-rectified high-frequency signal at each probe position. The quality of acoustic images relies on the quality of data which are obtained by forward-, back scattering or by geometrical reflection. Therefore it is of interest to understand the interaction between acoustic pulses with the defect. A representative example is a surface connected crack – fig.2. The numerical method to model the elastodynamic (includes mode conversion effects) interaction was the Elastodynamic Finite Integration Technique (EFIT) which has been developed and optimized by Langenberg [1].

Fig. 2 EFIT-prediction of a “creeping wave” interaction with a surface connected crack

The so-called creeping wave is a subsurface wave SSLW with a propagation speed of the longitudinal wave which is forward scattered at the lower crack tip, forms a cylindrical wave front and is back reflected towards the probe. Additional head waves and shear waves will contribute to a complex high-frequency A-scan signal – and after applying a reconstruction algorithm will cause artefacts (defects at positions where no real defects are) which have to be explained due to the EFIT-simulation.

2 3. The Inverse Problem=theory3

2 4. Special Features of the Acoustic Imaging Technique "SAFT"=theory4

2 4.1. Lateral Resolution=theory4

2 4.2. Signal-to-Noise Ratio Improvement by SAFT=theory4

2 4.3. Localization Accuracy=theory4

2 4.4. Pulse Echo/ Pitch-Catch Reconstruction=theory4

2 5. Imaging in Transversally Isotropic Material and Ray Tracing=theory5

2 5.1. Sound Propagation through a V-weld with Defects=theory5

2 5.2. A 10 Layer Approximated Austenitic Weld=theory5

2 6. Summary=theory6

2 7. References=theory7